close all; clear all; clc;

% Load data
load sine_data_40k.dat
x = sine_data_40k;

% Data info
Tsamp = 5e-10;
fsamp = 1/Tsamp;
Nsamps = length(x);
t = (0:Nsamps-1).'*Tsamp;

figure();
plot(t,x);
grid on;
xlabel('Time (secs)');
ylabel('Amplitude');
title('Input Data');

% Get sine fit
F = fit(t, x, 'sin1');

% Plot data and sine fit
figure();
plot(F,t,x);
grid on;
xlabel('Time (secs)');
ylabel('Amplitude');
title(['Estimated frequency = ', num2str(F.b1/(2*pi)), ' Hz']);